using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 坡比观测
    /// </summary>
    [Description("坡比观测")]
    public class T_TL_WATCH_PERCENT : MesEntityBase
    {
        /// <summary>
        /// 尾矿库名称 冗余
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldLength(200)]
        [FormFieldTable]
        public string TAILING_NAME { get; set; }

        /// <summary>
        /// 尾矿库名称
        /// </summary>
        [Description("尾矿库名称")]
        [DataFieldForeignKey("Nav_Tailing")]
        public Guid TAILING_ID { get; set; }

        /// <summary>
        /// 尾矿库
        /// </summary>
        [Description("尾矿库")]
        [FormFieldEdit]
        public T_TL_TAILING Nav_Tailing { get; set; }

        /// <summary>
        /// 汇总表
        /// </summary>
        [Description("汇总表")]
        [DataFieldForeignKey("Nav_Sum")]
        public Guid SUM_ID { get; set; }

        /// <summary>
        /// 汇总表
        /// </summary>
        [Description("汇总表")]
        public T_TL_WATCH_SUM Nav_Sum { get; set; }

        /// <summary>
        /// 日期
        /// </summary>
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [Description("日期")]
        public DateTime DATE { get; set; }

        /// <summary>
        /// 触发ID 用于判断重复粗发
        /// </summary>
        [Description("触发ID")]
        public Guid? PLAN_ID { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("部门")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 用户 触发接收人（登记人）
        /// </summary>
        [Description("用户")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 提交人
        /// </summary>
        [Description("提交人")]
        [FormFieldQuery]
        [FormFieldTable]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 记录表
        /// </summary>
        [Description("记录表")]
        [FormFieldEdit]
        public ICollection<T_TL_WATCH_PERCENT_DETAIL> Nav_ListDetail { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldQuery]
        [FormFieldTable]
        public PFStandardStatus STATUS { get; set; }
    }
}